#include "standard.h"
#include "mmfold.h"

void MousemoveFolder::register_mousemove(Hand* hand,callback cb)
  {
  list.add(hand,cb);
  }

void MousemoveFolder::unregister_mousemove(Hand* hand,callback cb)
  {
  list.del(hand,cb);
  }

void MousemoveFolder::delHand(Hand* h)
  {
  list.delHand(h);
  }

void MousemoveFolder::reset()
  {
  list.reset();
  }

void MousemoveFolder::dispatch(int x, int y, int button)
  {
  list.execute_callbacks(x,y,button);
  }

